Subject: [Detnet] DetNet Security Draft status in advance of IETF 109

From: Ethan Grossman <[email-masked]>
Date: Tue, 10 Nov 2020 20:04:00 -0800

Hi All,
The DetNet Security draft is currently in AD Review; we have substantive
pending comments from genart (Russ Housley) and secdir (Yaron Sheffer)
which the draft authors are in the process of addressing. Most notably, the
suggestion that the draft be written as Normative is under discussion in
the WG (or at least we'd like it to be...)

Given the breadth of possible outcomes of that discussion, leave alone the
other comments, we don't have an ETA at this point, but we're on the case.

Best,
Ethan (as Editor, DetNet Security draft)